routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'App\Http\Controllers\CarController@index')->name('home');
Route::resource('/cars', 'App\Http\Controllers\CarController');
Route::post('/cars', 'App\Http\Controllers\CarController@index')->name('cars.index');
Route::post('/add/car', 'App\Http\Controllers\CarController@store')->name('cars.store');
Route::resource('/commands', 'App\Http\Controllers\CommandController');
Route::get('/commands/{id}/create', 'App\Http\Controllers\CommandController@create')->name('command.create');
Route::get('/login', 'App\Http\Controllers\UsersController@login')->name('users.login');
Route::post('/auth', 'App\Http\Controllers\UsersController@auth')->name('users.auth');
Route::post('/logout', 'App\Http\Controllers\UsersController@logout')->name('users.logout');
Route::get('/register', 'App\Http\Controllers\UsersController@create')->name('users.register');
Route::post('/register', 'App\Http\Controllers\UsersController@register')->name('users.register');
Route::get('/user/{id}/profile', 'App\Http\Controllers\UsersController@show')->name('users.profile');
Route::get('/admin', 'App\Http\Controllers\AdminsController@index')->name('admins.index');

app/Models/Command.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Command extends Model
{
    use HasFactory;

    //
    protected $guarded = [];

    public function user(){
        return $this->belongsTo(User::class);
    }
    public function car(){
        return $this->hasOne(Car::class);
    }
}

app/Http/Controllers/CommandController.php
<?php

namespace App\Http\Controllers;

use App\Models\Command;
use App\Models\Car;
use DateTime;
use Illuminate\Http\Request;

class CommandController extends Controller
{
    //
    /**
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     *
     */
    public function index(){

        //
        return view('commands.index')->with(['commands' => Command::all()]);
    }

    /**
     * @param Command $command
     * @return mixed
     *
     */

    public function show(Command $command){
        //
        return view('commands.show')->withCommand($command);

    }

    public function create($id){
        return view('commands.create')->withCar(Car::findOrFail($id));
    }

    public function store(Request $request){
        $this->validate($request, [
            'car_id' => 'required',
            'dateL' => 'required',
            'dateR' => 'required'
        ]);
        $car = Car::findOrFail($request->car_id);
        $dateLocation = new DateTime($request->dateL);
        $dateRetour = new DateTime($request->dateR);
        $jours = date_diff($dateLocation, $dateRetour);
        $prixTtc = $car->prixJ * $jours->format('%d');
        Command::create([
            'user_id' => auth()->user()->id,
            'car_id' => $request->car_id,
            'dateL' => $request->dateL,
            'dateR' => $request->dateR,
            'prixTTC' => $prixTtc,
        ]);
        $car->update([
            'dispo' => 0
        ]);
        return redirect()->route('users.profile', auth()->user()->id)->with([
            'success' => 'Commande envoyée'
        ]);
    }

}

resources/views/commands/create.blade.php
@extends('layouts.header')

@section('content')


    <div class="row my-4">
        <div class="col-md-10 mx-auto">
            <div class="card border border-black shadow-sm">
                <h3 class="card-header">Réservation d'un véhicule</h3>
                <div class="row my-3">
                    <div class="col-md-12">
                            
                            <h3 class="text p-4">{{ $car->marque }}</h3>
                            <div class="card-body">
                                <div class="car-img-top">
                                    <img src="{{ $car->image }}" class="img-fluid rounded m-2" alt="">
                                </div>
                                <p class="d-flex flex-row justify-content-start">
                                    <span class="badge badge-danger mx-3">Type: {{ $car->type }}</span>
                                    <span class="badge badge-primary mr-3">Prix Journalier: {{ $car->prixJ }} €
                                    </span>
                                </p>
                            </div>
                        
                    </div>
                </div>
                <div class="card-body">
                    <form method="post" action="{{ route('commands.store') }}" >
                        @csrf
                        <div class="form-group">
                            <label >Date d'emprunt</label>
                            <input type="date" name="dateL" class="form-control" >
                        </div>

                        <div class="form-group">
                            <label >Date de Restitution</label>
                            <input type="date" name="dateR" class="form-control">
                        <input type="hidden" name="car_id" value="{{$car->id}}">
                        </div>

                        <div>
                            <button type="submit" class="btn border-secondary">Louer</button>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>

@endsection